### Class

# Gtk UriLauncher

since: 4.10

#### Description [src]

    final class Gtk.UriLauncher : GObject.Object
    {
      /* No available fields */
    }

Asynchronous API to open a uri with an application.

`GtkUriLauncher` collects the arguments that are needed to open the uri.

Depending on system configuration, user preferences and available APIs, this may or may not show an app chooser dialog or launch the default application right away.

The operation is started with the `gtk_uri_launcher_launch()` function.

To launch a file, use `GtkFileLauncher`.

Available since: 4.10

#### Ancestors

- GObject

#### Constructors

###### gtk_uri_launcher_new

Creates a new `GtkUriLauncher` object.

since: 4.10

#### Instance methods

###### gtk_uri_launcher_can_launch

Returns whether the launcher is likely to succeed in launching an application for its uri.

since: 4.20

###### gtk_uri_launcher_get_uri

Gets the uri that will be opened.

since: 4.10

###### gtk_uri_launcher_launch

Launches an application to open the uri.

since: 4.10

###### gtk_uri_launcher_launch_finish

Finishes the `gtk_uri_launcher_launch()` call and returns the result.

since: 4.10

###### gtk_uri_launcher_set_uri

Sets the uri that will be opened.

since: 4.10

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.UriLauncher:uri

The uri to launch.

since: 4.10

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkUriLauncherClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.